function serverCmdObjection(%client)
{
	if(isObject(%client.player))
	{
		%client.player.emote(ObjectionProjectile);
		%client.player.playThread(3, ArmReadyRight);
		%client.player.schedule(500, playThread, 3, root);
	}
}

datablock AudioProfile(ObjectionSound)
{
	filename = "./ObjectionSound.wav";
	description = AudioClosest3d;
	preload = true;
};

datablock ParticleData(ObjectionParticle)
{
   dragCoefficient      = 1.0;
   gravityCoefficient   = 0.0;
   inheritedVelFactor   = 0.0;
   windCoefficient      = 0;
   constantAcceleration = 0.0;
   lifetimeMS           = 500;
   lifetimeVarianceMS   = 0;
   useInvAlpha          = false;
   textureName          = "./ObjectionTexture";
   colors[0]     = "1 1 1 1";
   colors[1]     = "1 1 1 1";
   colors[2]     = "1 1 1 1";
   sizes[0]      = 1.2;
   sizes[1]      = 1.2;
   sizes[2]      = 1.2;
   times[0]      = 0.0;
   times[1]      = 0.2;
   times[2]      = 1.0;
};

datablock ParticleEmitterData(ObjectionEmitter)
{
   ejectionPeriodMS = 35;
   periodVarianceMS = 0;
   ejectionVelocity = 0.0;
   ejectionOffset   = 1.8;
   velocityVariance = 0.0;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 0;
   overrideAdvance = false;
   lifeTimeMS = 100;
   particles = "ObjectionParticle";

   doFalloff = false;

   emitterNode = GenericEmitterNode;
   pointEmitterNode = TenthEmitterNode;

   uiName = "Emote - Objection";
};

datablock ExplosionData(ObjectionExplosion)
{
   lifeTimeMS = 2000;
   emitter[0] = ObjectionEmitter;
   soundProfile = ObjectionSound;
};

datablock ProjectileData(ObjectionProjectile)
{
   explosion           = ObjectionExplosion;

   armingDelay         = 0;
   lifetime            = 10;
   explodeOnDeath		= true;

   uiName = "Objection Emote";
};